Bug 699370 - floppy I/O error after live migration while floppy in use
floppy I/O error after live migration while floppy in use
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: jason wang
Virtualization Bugs
: Triaged
Depends On: 681777
Blocks: Rhel5KvmTier1
  Show dependency treegraph
 
Reported: 2011-04-25 08:23 EDT by Mike Cao
Modified: 2015-11-22 22:34 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 681777
Environment:
Last Closed: 2011-06-21 11:48:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Mike Cao 2011-04-25 08:25:00 EDT
find same issue on RHEL5.6.z 
# uname -r
2.6.18-238.9.1.el5
# rpm -q kvm
kvm-83-224.el5_6.1

CLI:
/usr/libexec/qemu-kvm -rtc-td-hack -usbdevice tablet -no-hpet -drive file=/mnt/rhel5u6_64.qcow2,if=virtio,boot=on,werror=stop,cache=none,format=qcow2,media=disk -cpu qemu64,+sse2 -smp 2 -m 4G -net nic,macaddr=00:12:24:5f:a6:2f,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0  -uuid `uuidgen` -vnc :3 -boot dc  -balloon virtio -monitor stdio -notify all -M rhel5.6.0 -drive file=/mnt/RHEL5.6-Server-20110106.0-x86_64-DVD.iso,if=ide,werror=stop,cache=none,format=raw,media=cdrom -drive file=/mnt/virtio-drivers.vfd,if=floppy,cache=none,format=raw
Comment 2 Mike Cao 2011-04-26 06:48:19 EDT
Reproduced on 
# uname -r
2.6.18-256.el5
# rpm -q kvm
kvm-83-231.el5
Comment 3 FuXiangChun 2011-05-10 05:30:21 EDT
reporduced on
uname -r
2.6.18-260.el5
rpm -qa|grep kvm
kvm-83-232.el5
Comment 6 Mike Cao 2011-06-15 02:08:58 EDT
Reproduced on kvm-83-236.el5
Verified on kvm-83-237.el5.

steps:
1.start guest with floppy
eg:# /usr/libexec/qemu-kvm -no-hpet -no-kvm-pit-reinjection -rtc-td-hack -startdate now -usbdevice tablet -k en-us -smp 4 -cpu qemu64,+sse2 -m 4G -balloon none -boot dc -net nic,vlan=1,macaddr=00:1a:4a:42:49:11,model=virtio -net tap,vlan=1,script=/etc/qemu-ifup,downscript=no -drive file=/opt/rhel5.6.0/rhel6u1_5.6.0,if=virtio,format=raw,werror=stop,cache=none,boot=on -vnc :1 -M rhel5.6.0 -monitor stdio -M rhel5.6.0 -drive file=/home/virtio-drivers.vfd,if=floppy,format=raw
2.start listenning port 
3.keeps write data to floppy in the guest
for((;;))
do 
  echo hello > /media/disk/file
  rm -rf /media/disk/file
  echo "good"
done
4.do live migration

Actual Results:
on kvm-83-236.el5 ,dmesg floods "
floppy0: disk absent or changed during operation
end_request: I/O error, dev fd0, sector 2"

on kvm-83-237.el5,no floppy I/O error shows in dmesg

Based on above ,this issue has been fixed

Note You need to log in before you can comment on or make changes to this bug.